<app-loading *ngIf="isLoadingPage"></app-loading>
<input #searchInput nz-input placeholder="Tìm kiếm theo tên hoặc theo mã" class="deputy-search__input" />
<div class="deputy-search__message">
    <p>Kết quả tìm kiếm</p>
    <p *ngIf="param.keyword"><em nz-icon nzType="bulb" nzTheme="outline"></em>Tìm thấy {{listSettingPaginationCustom.total}} người</p>
</div>
<nz-divider style="margin-bottom: 0px"></nz-divider>

<nz-table #basicTable [nzData]="listSurrogate" nzTableLayout="fixed" [nzShowPagination]="false" [nzFrontPagination]="false">
    <thead>
      <tr>
        <th scope="col"></th>
        <th scope="col"></th>
        <th scope="col"></th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable.data,  let i = index" (click)="chooseDeputy(i)">
        <td  style="width: 16%">{{ data.employeeCode }}</td>
        <td nz-tooltip [nzTooltipTitle]="data.fullName" class="organization-name">{{ data.fullName }}</td>
        <td nz-tooltip [nzTooltipTitle]="data.jobName" class="organization-name">{{ data.jobName }}</td>
        <td nz-tooltip [nzTooltipTitle]="data.orgName" class="organization-name">{{ data.orgName }}</td>
      </tr>
    </tbody>
  </nz-table>
  <div class="pagination custom">
    <nz-pagination class="pagination__icon" [nzPageIndex]="listSettingPaginationCustom.pageIndex + 1"
      (nzPageIndexChange)="getListTemplateBasePagination($event)" [nzTotal]="listSettingPaginationCustom.total"
      [nzPageSize]="listSettingPaginationCustom.size"></nz-pagination>
  </div>